Update interview
curl --request PATCH \
--url https://{instance}/api/v1/interviews/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduledAt": "2023-11-07T05:31:56Z",
"durationMins": 45,
"interviewerId": "<string>",
"title": "<string>",
"location": "<string>",
"notes": "<string>"
}
'import requests
url = "https://{instance}/api/v1/interviews/{id}"
payload = {
"scheduledAt": "2023-11-07T05:31:56Z",
"durationMins": 45,
"interviewerId": "<string>",
"title": "<string>",
"location": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scheduledAt: '2023-11-07T05:31:56Z',
durationMins: 45,
interviewerId: '<string>',
title: '<string>',
location: '<string>',
notes: '<string>'
})
};
fetch('https://{instance}/api/v1/interviews/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interviewerId": "<string>",
"title": "<string>",
"type": "<string>",
"mode": "<string>",
"status": "<string>",
"scheduledAt": "<string>",
"durationMins": 123,
"location": "<string>",
"notes": "<string>",
"source": "<string>",
"meetingUrl": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"meta": {
"pagination": {
"nextCursor": "<string>",
"hasMore": true,
"limit": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Interviews
Update interview
PATCH
/
api
/
v1
/
interviews
/
{id}
Update interview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Available options:
screening, culture_fit, technical, onsite, final Available options:
video, phone, onsite Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Required range:
5 <= x <= 480Maximum string length:
20000Maximum string length:
20000Maximum string length:
20000Maximum string length:
20000⌘I